package com.gic.haoban.manage.service.entity.content;

import java.util.Date;
import java.io.Serializable;

/**
 * 导购分享记录(TabHaobanClerkShareLog)实体类
 *
 * @author makejava
 * @since 2023-03-18 20:54:23
 */
public class TabHaobanClerkShareLog implements Serializable {

    private static final long serialVersionUID = -18857713225396709L;

    private Long id;
    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 微信企业id
     */
    private String wxEnterpriseId;
    /**
     * 导购id
     */
    private String clerkId;
    /**
     * 成员id
     */
    private String staffId;
    /**
     * 分享类型 1分享朋友圈; 2 群发给客户; 3 群发到群
     */
    private Integer shareType;
    /**
     * 业务id
     */
    private String bizId;
    /**
     * 业务类型 1素材
     */
    private Integer bizType;
    /**
     * 删除标识 1 删除(已处理); 0未处理
     */
    private Integer deleteFlag;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 更新时间
     */
    private Date updateTime;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public Integer getShareType() {
        return shareType;
    }

    public void setShareType(Integer shareType) {
        this.shareType = shareType;
    }

    public String getBizId() {
        return bizId;
    }

    public void setBizId(String bizId) {
        this.bizId = bizId;
    }

    public Integer getBizType() {
        return bizType;
    }

    public void setBizType(Integer bizType) {
        this.bizType = bizType;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public void setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }
}

